Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryDotClassRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryDotClassRule

- To make a reference to a class, it is unnecessary to specify the '.class' identifier. For instance String.class can be shortened to String.

  Authors:
    'Dean Del Ponte'
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority